﻿Type=Activity
Version=1.70
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
Sub Globals
 'These global variables will be redeclared each time the activity is created.
 'These variables can only be accessed from this module.
 Dim btnNext2 As Button
 Dim editText1 As EditText
 Dim edittext2 As EditText
 Dim edittext3 As EditText
 Dim edittext4 As EditText
 Dim edittext5 As EditText
 Dim button5 As Button
 Dim d1 As Double, d2 As Double
 Dim L As Double, K As Double
 Dim BlackScholes As Double
 Dim T1 As Double
 
 
End Sub
 
Sub Activity_Create(FirstTime As Boolean)
 Activity.LoadLayout("Put")
End Sub
 
Sub Activity_Resume
End Sub
 
Sub Activity_Pause (UserClosed As Boolean)
End Sub
 
Sub btnNext2_Click
 StartActivity(Main)
End Sub
Sub btnNext3_click
	StartActivity(Call)
End Sub
Sub button5_click 
	'// The Black and Scholes (1973) Stock option formula
	a1 = 0.31938153
	a2 = -0.356563782
	a3 = 1.781477937
	a4 = -1.821255978
	a5 = 1.330274429

S = edittext1.Text
X = edittext2.Text
T = edittext4.Text
r = edittext3.Text
v = edittext5.Text
T1 = T / 365



L = Abs(X)
K = 1 / (1 + 0.2316419 * L)
CND = 1 - 1 / Sqrt(2 * 3.14159) * Power(cE,(Power(-L , 2) / 2)) * (a1 * K + a2 * Power(K , 2) + a3 * Power(K , 3) + a4 * Power(K , 4) + a5 * Power(K , 5))

If X < 0 Then
CND = 1 - CND
End If

d1 = (Logarithm(S / X, cE) + (r + (Power(v, 2)/2) * T)) / (v * Sqrt(T))
BlackScholes = ((S - S - S) *  CND*(d1)) + X * Power ( cE, (r-r-r) * T) * CND*(d1 - v * Sqrt(T))



Msgbox( " " & Blackscholes & " ", "Black and Scholes Put Option:")

End Sub